aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGregory M. Tuner <gmt@be-evil.net>2014-01-01 12:26:21 -0800
committerGregory M. Tuner <gmt@be-evil.net>2014-01-01 12:26:21 -0800
commita59c684904bad48c934c921390b7e869fd5efdaa (patch)
treed249c650f8e1f7672a7e1d7793fa0217ddb49836 /eclass/autotools-utils.eclass
parentdev-tcltk/blt: clone upstream (diff)
downloadgmt-a59c684904bad48c934c921390b7e869fd5efdaa.tar.gz
gmt-a59c684904bad48c934c921390b7e869fd5efdaa.tar.bz2
gmt-a59c684904bad48c934c921390b7e869fd5efdaa.zip
eclass/autotools-utils: fix thinko in src_test
Signed-off-by: Gregory M. Tuner <gmt@be-evil.net>
Diffstat (limited to 'eclass/autotools-utils.eclass')
-rw-r--r--eclass/autotools-utils.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index a22b586..45db273 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -753,7 +753,7 @@ autotools-utils_src_test() {
[[ ${_how} != dont ]] && otheremaketestargs+=("${_how}")
if ehook_fire autotools-utils-pre_src_test ; then
[[ ${_how} != dont ]] &&
- ${_what} "${myemaketestargs[@]}" "${otheremaketestargs[@]}" || die 'emake check failed.'
+ { ${_what} "${myemaketestargs[@]}" "${otheremaketestargs[@]}" || die 'emake check failed.' ; }
fi
ehook_fire autotools-utils-post_src_test -u
popd > /dev/null || die